#pragma once
#include "Preferences.h"

class CPPg_X_Update : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPg_X_Update)

public:
	CPPg_X_Update();
	virtual ~CPPg_X_Update();

	// Dialog Data
	enum { IDD = IDD_PPG_X_UPDATE };

	void Localize(void);

	afx_msg void OnSettingsChange()		{ SetModified(); }

	// X-Ray :: IP2Country :: Start
	afx_msg void OnBnClickedIP2CountryUpdate();
	afx_msg void OnBnClickedResetIP2CountryURL();
	// X-Ray :: IP2Country :: End
	// X-Ray :: IPFilterUpdate :: Start
	afx_msg void OnBnClickedIPFilterUpdate();
	afx_msg void OnBnClickedResetIPFilterURL();
	// X-Ray :: IPFilterUpdate :: End

protected:

	void LoadSettings();
	void SysTimeToStr(LPSYSTEMTIME st, LPTSTR str); // X-Ray :: IPFilterUpdate

	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual BOOL OnInitDialog();
	virtual BOOL OnApply();

	DECLARE_MESSAGE_MAP()
};
